Index: src/Fl_mac.cxx
===================================================================
--- src/Fl_mac.cxx	(revision 5492)
+++ src/Fl_mac.cxx	(working copy)
@@ -1276,6 +1276,13 @@
     ClearMenuBar();
     AppendResMenu( GetMenuHandle( 1 ), 'DRVR' );
     DrawMenuBar();
+
+#ifdef MAC_OS_X_VERSION_10_3
+    // bring the application into foreground without a 'CARB' resource
+    ProcessSerialNumber psn = { 0, kCurrentProcess};    
+    TransformProcessType(&psn, kProcessTransformToForegroundApplication);
+    SetFrontProcess(&psn);
+#endif
   }
 }
 
